%define anolis_release 2

Name:           pyodbc
Version:        5.0.1
Release:        %{anolis_release}%{?dist}
Summary:        Python DB API 2.0 Module for ODBC
License:        MIT
URL:            https://github.com/mkleehammer/pyodbc
Source0:        https://github.com/mkleehammer/pyodbc/archive/%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  unixODBC-devel
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Recommends: (postgresql-odbc if postgresql-server)
Recommends: (mariadb-connector-odbc if mariadb-server)

%global _description\
A Python DB API 2 and 3 module for ODBC. This project provides an up-to-date,\
convenient interface to ODBC using native data types like datetime and\
decimal.

%description %_description

%package -n python3-%{name}
Summary:        Python DB API 2.0 Module for ODBC
%{?python_provide:%python_provide python3-%{name}}
Recommends: (mariadb-connector-odbc if mariadb-server)
Recommends: (postgresql-odbc if postgresql-server)

%description -n python3-%{name}
A Python DB API 2 and 3 module for ODBC. This project provides an up-to-date,
convenient interface to ODBC using native data types like datetime and
decimal.

%package -n     python3-%{name}-doc
Summary:        doc files for python3-%{name}
Requires:       python3-%{name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{name}-doc
doc files for python3-%{name}

%prep
%autosetup -n %{name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{name}
%license LICENSE.txt
%{python3_sitearch}/%{name}%{python3_ext_suffix}
%{python3_sitearch}/%{name}-%{version}.dist-info/
%{python3_sitearch}/%{name}.pyi

%files -n python3-%{name}-doc
%doc README.md notes.txt

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 5.0.1-2
- Rebuild with python3.11

* Tue Dec 26 2023 happy_orange <songnannan@linux.alibaba.com> - 5.0.1-1
- init package from upstream because this package is required by pcp
